import request from "@/utils/request";

// 公司企业列表
export function companyList(params) {
  return request({
    url: "/business/enterprise/list",
    method: "get",
    params,
  });
}
// 公司企业信息添加
export function companyAdd(data) {
  return request({
    url: "/business/enterprise",
    method: "post",
    data,
  });
}
// 公司企业信息删除
export function companyDelete(ids) {
  return request({
    url: `/business/enterprise/${ids}`,
    method: "delete",
  });
}
// 公司企业详细信息
export function companyDetail(id) {
  return request({
    url: `/business/enterprise/${id}`,
    method: "get",
  });
}
// 公司企业信息修改
export function companyEdit(data) {
  return request({
    url: "/business/enterprise",
    method: "put",
    data,
  });
}

export const companyExport = () => {
  return request({
    url: "/business/enterprise/export",
    method: "get",
  });
};

// 公司企业审核操作
export function companyExamine(data) {
  return request({
    url: "/admin/v1/manage/company/examine",
    method: "post",
    data,
  });
}
